#ifndef DEBUGHELPER_H
#define DEBUGHELPER_H

#include <SFML/Graphics/RenderWindow.hpp>
#include <SFML/Graphics/RectangleShape.hpp>
#include <SFML/Graphics/Font.hpp>
#include <SFML/Graphics/Text.hpp>

class DebugHelper
{
public:
    DebugHelper(bool init = true);

    void toggle();
    void update(const sf::Int64& microseconds);
    void drawOn(sf::RenderWindow &game_window) const;
    void onUserTap();
    void onBeat();
    void onDeath();

private:
    bool _toggled;
    sf::RectangleShape _bpm_pulse;
    sf::RectangleShape _tap_pulse;
    sf::RectangleShape _death_pulse;
    sf::Font _font;
    sf::Text _time_print;
};

#endif // DEBUGHELPER_H
